<?php echo $header; ?>

<ul class="breadcrumb">
    <li><a href="<?php echo site_url('admin'); ?>"><?php echo lang('header_tab_configure'); ?></a> <span class="divider">/</span></li>
    <li class="active"><?php echo lang('breadcrumb_ldap_ad_servers'); ?></li>
</ul>

<div class="container">
    <div class="row-fluid">
        <div class="span12 configure-layout">
            <?php echo $leftbar; ?>
            <div class="rside">
                <h2><?php echo lang('ldap_ad_header'); ?></h2>
                <p><?php echo lang('ldap_ad_desc'); ?> <a href="<?php echo site_url('admin/users/import'); ?>"><?php echo lang('ldap_ad_import'); ?></a>.</p>
                <p style="margin-bottom: 15px;"><a href="<?php echo site_url('admin/add_auth_server'); ?>" class="btn btn-default"><i class="fa fa-plus"></i> <?php echo lang('ldap_ad_add_server'); ?></a></p>
                <table class="table table-striped table-hover table-bordered" style="width: auto; min-width: 60%;">
                    <thead>
                        <tr>
                            <th style="width: 20px; text-align: center;"></th>
                            <th><?php echo lang('name'); ?></th>
                            <th><?php echo lang('servers'); ?></th>
                            <th style="width: 140px;"><?php echo lang('type'); ?></th>
                            <th style="width: 80px;"><?php echo lang('encryption'); ?></th>
                            <th style="width: 120px;"><?php echo lang('associated_users'); ?></th>
                            <th style="width: 80px; text-align: center;"><?php echo lang('actions'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        if (count($servers) > 0) {
                            foreach ($servers as $server) {
                        ?>
                        <tr>
                            <td style="text-align: center;"><?php if ($server->active == 1) { echo '<img src="'.media_url('icons/accept.png').'" title="'.lang('enabled').'">'; } ?></td>
                            <td><?php echo $server->name; ?></td>
                            <td><?php if ($server->type == "ad") { echo $server->controllers; } else { echo $server->host; } ?></td>
                            <td><?php if ($server->type == "ad") { echo lang('active_directory'); } else if ($server->type == "ldap") { echo lang('ldap'); } ?></td>
                            <td><?php echo strtoupper($server->encryption); ?></td>
                            <td><?php echo $server->associated_users; ?></td>
                            <td style="font-size: 18px; text-align: center;">
                                <a href="<?php echo site_url('admin/edit_auth_server/'.$server->id); ?>" title="<?php echo lang('edit'); ?>"><i class="fa fa-wrench"></i></a>
                                <?php if ($server->associated_users == 0) { ?><a href="<?php echo site_url('admin/delete_auth_server/'.$server->id); ?>" title="<?php echo lang('remove_server'); ?>" style="margin-left: 10px;"><i class="fa fa-times"></i></a><?php } ?>
                            </td>
                        </tr>
                        <?php
                            }
                        } else {
                        ?>
                        <tr>
                            <td colspan="7"><?php echo lang('ldap_ad_no_servers'); ?></td>
                        </tr>
                        <?php } ?>
                    </tbody>
                </table>
                
            </div>
        </div>
    </div>
</div>

<?php echo $footer; ?>